package intrinsic.mx.managers;

public interface ICursorManager {

	/** Accessors */
//	public double currentCursorYOffset;
//	public double currentCursorXOffset;
//	public int currentCursorID;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */

/** Static Methods */

/** Methods */
public void setBusyCursor();
public void removeAllCursors();
public void showCursor();
public void removeBusyCursor();
public void removeCursor(int arg0);
public void unRegisterToUseBusyCursor(Object arg0);
public void hideCursor();
public void registerToUseBusyCursor(Object arg0);
public int setCursor(intrinsic.Class arg0);
public int setCursor(intrinsic.Class arg0, int arg1);
public int setCursor(intrinsic.Class arg0, int arg1, double arg2);
public int setCursor(intrinsic.Class arg0, int arg1, double arg2, double arg3);
public int setCursor(intrinsic.Class arg0, int arg1, double arg2, double arg3, intrinsic.mx.core.IUIComponent arg4);

}
